curl --request PATCH \
--url https://api.pandabase.io/v2/core/stores/{storeId}/coupons/{couponId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"displayName": "<string>",
"description": "<string>",
"type": "FIXED",
"value": 2,
"minimumPurchase": 1,
"maxUses": 2,
"maxUsesPerCustomer": 2,
"firstPurchaseOnly": true,
"startsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"enabled": true,
"productIds": [
"<string>"
]
}
'{
"ok": true,
"data": "<unknown>"
}curl --request PATCH \
--url https://api.pandabase.io/v2/core/stores/{storeId}/coupons/{couponId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"displayName": "<string>",
"description": "<string>",
"type": "FIXED",
"value": 2,
"minimumPurchase": 1,
"maxUses": 2,
"maxUsesPerCustomer": 2,
"firstPurchaseOnly": true,
"startsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"enabled": true,
"productIds": [
"<string>"
]
}
'{
"ok": true,
"data": "<unknown>"
}Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 48Coupon ID (cpn_ prefix)
12 - 482 - 64128500FIXED, PERCENTAGE x >= 1x >= 0x >= 1x >= 1Product IDs to scope this coupon to. Pass null or empty array to remove scoping. Omit to leave unchanged.
50